Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1408552 - Review Request: python-pyzo - The Interactive editor for scientific Python
Summary: Review Request: python-pyzo - The Interactive editor for scientific Python
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AwaitingSubmitter
Depends On:
Blocks: FE-DEADREVIEW 1393063
TreeView+ depends on / blocked
 
Reported: 2016-12-24 20:08 UTC by Scott K Logan
Modified: 2018-08-16 18:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1606015 None CLOSED python3-iep: FTBFS in Fedora rawhide 2019-03-07 09:26:00 UTC

Internal Links: 1606015

Description Scott K Logan 2016-12-24 20:08:54 UTC
Spec URL: https://cottsay.fedorapeople.org/python-pyzo/python-pyzo.spec
SRPM URL: https://cottsay.fedorapeople.org/python-pyzo/python-pyzo-4.3.1-1.fc26.src.rpm

Description:
Pyzo is a cross-platform Python IDE focused on interactivity and
introspection, which makes it very suitable for scientific computing.
Its practical design is aimed at simplicity and efficiency.

It consists of two main components, the editor and the shell, and uses
a set of pluggable tools to help the programmer in various ways. Some
example tools are source structure, project manager, interactive help,
workspace ...

Fedora Account System Username: cottsay

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=17057889

rpmlint output:
python-pyzo.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
python-pyzo.src: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
python3-pyzo.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
python3-pyzo.noarch: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
python3-pyzo.noarch: W: obsolete-not-provided python3-iep
python3-pyzo.noarch: W: obsolete-not-provided python3-pyzolib
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

**IMPORTANT NOTE**
This is a package rename/obsolete review. The python-pyzolib and python-iep packages should be merged into this one following the merger of the upstream projects. More information on the merger is available here: http://www.pyzo.org/iep.html

Per packaging spec, the python-pyzolib and python-iep packages will be retired when this package (python-pyzo) has been pushed.

I am aware that the desktop post-scriptlets shouldn't be used in f25+. I'll make sure those entries aren't in the f25 or rawhide branches, but they should exist in the f24 branch, so I thought it best to include them in the review.

Relevant packaging specs:
- https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#Icon_Cache
- https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#desktop-database
- https://fedoraproject.org/wiki/Packaging:FontsPolicy#Install-time_dependencies
- https://fedoraproject.org/wiki/Package_Renaming_Process
- https://fedoraproject.org/wiki/Packaging:Python
- https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Tags

Thanks,

--scott

Comment 1 Antonio Trande 2017-01-05 19:06:01 UTC
-
> I am aware that the desktop post-scriptlets shouldn't be used in f25+.
> I'll make sure those entries aren't in the f25 or rawhide branches,
> but they should exist in the f24 branch,
> so I thought it best to include them in the review.

Use conditional macros:

%if 0%{?fedora} < 25
..
...
%endif

- This package requires 'hicolor-icon-theme' package

- Use %{version} instead of 4.3.1

- This software provides tests but cannot be performed for missing
  python3-pyside package. Leave a comment about, please.

- 'Obsoletes' tags should respect this form

Obsoletes: oldpackagename < $obsEVR

where $obsEVR refers to an (Epoch-)Version-Release, so

Obsoletes:      python3-iep < 0:3.7-4
Obsoletes:      python3-pyzolib < 0:0.3.3-7

- appdata file is not checked

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in python3-pyzo
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in python3-pyzo
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database
- 'python-bytecode-wrong-magic-value' errors are created because a bug of 'rpmlint'
  https://bugzilla.redhat.com/show_bug.cgi?id=1409376

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 293
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/rpmbuild/SPECS/1408552-python-pyzo/licensecheck.txt
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.6/site-packages,
     /usr/lib/python3.6
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/256x256/apps,
     /usr/share/icons/hicolor/64x64/apps, /usr/lib/python3.6/site-packages,
     /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/icons/hicolor/32x32,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/64x64,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/256x256,
     /usr/share/icons/hicolor, /usr/lib/python3.6
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 931840 bytes in 59 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pyzo-4.3.1-1.fc26.noarch.rpm
          python-pyzo-4.3.1-1.fc26.src.rpm
python3-pyzo.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
python3-pyzo.noarch: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
python3-pyzo.noarch: W: obsolete-not-provided python3-iep
python3-pyzo.noarch: W: obsolete-not-provided python3-pyzolib
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/_locale.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/manager.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/connection_tcp.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/icons.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/proxies.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/editorTabs.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/guisupport.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoLogger.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/uic.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/paths.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_base.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_reqrep.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/highlighter.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/message_types.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/icons.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/main.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/baseTextCtrl.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/about.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/assistant.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/context.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoWorkspace.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_pubsub.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/shellInfoDialog.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/autocompletion.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/tokens.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/interpreters/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/utils.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/_test.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/__pycache__/__main__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/style.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/shellStack.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/events.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/QtWidgets.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/tokens.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/pyzowizard.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/introspection.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/magic.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/splash.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/editorTabs.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/interpreters/__pycache__/pythoninterpreter.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/_nope.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoLogger.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_base.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/importwizard.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/shell.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/message_types.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/magic.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/utils.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/connection_tcp.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/core.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_pubsub.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/menu.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/python_parser.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_state.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoSourceStructure.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoHistoryViewer.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/shell.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/zon.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/tree.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/_locale.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/highlighter.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/start.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/paths.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/cython_parser.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/connection_itc.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/resources/__pycache__/tutorial.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/codeparser.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/compactTabWidget.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/QtCore.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoInteractiveHelp.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/core.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/commandline.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/editor.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/pipper.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/QtGui.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/_test.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/main.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/_patch/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/resources/__pycache__/tutorial.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/_patch/__pycache__/qcombobox.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/start.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/interpreters/__pycache__/inwinreg.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/cython_parser.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/tasks.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/_patch/__pycache__/qheaderview.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoSourceStructure.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/debug.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/introspection.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/QtWidgets.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/misc.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/__pycache__/yotonloader.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/pyzoLogging.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/QtCore.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/__pycache__/yotonloader.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/qt.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/appearance.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/autocompletion.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/pyzowizard.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/connection.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/browser.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/textutils.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/importwizard.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/kernelbroker.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/misc.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/events.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/_version.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/python_parser.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoHistoryViewer.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoWebBrowser.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/splash.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/manager.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/_patch/__pycache__/qheaderview.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_reqrep.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/interpreter.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/interpreter.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/connection_itc.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/interpreters/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/interpreters/__pycache__/pythoninterpreter.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/connection.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/calltip.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/guisupport.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/textutils.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/context.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/uic.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/pyzoLogging.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/style.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/c_parser.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/guiintegration.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/commandline.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/tree.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/assistant.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_file.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/zon.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/menu.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/__pycache__/__main__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/base.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/proxies.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/guiintegration.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/qt.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoWebBrowser.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/behaviour.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/pipper.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/debug.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/shellInfoDialog.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/pyzokernel/__pycache__/_nope.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/clientserver.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/bootstrapconda.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/baseTextCtrl.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/compactTabWidget.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoWorkspace.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/misc.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/_patch/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/_version.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/__pycache__/QtGui.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/misc.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/__pycache__/base.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/browser.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_file.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/calltip.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/codeparser.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/pyzoFileBrowser/__pycache__/tasks.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/about.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/editor.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/behaviour.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/shellStack.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/channels/__pycache__/channels_state.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/kernelbroker.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/qt/_patch/__pycache__/qcombobox.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/tools/__pycache__/pyzoInteractiveHelp.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/core/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/interpreters/__pycache__/inwinreg.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/util/__pycache__/bootstrapconda.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/yoton/__pycache__/clientserver.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/parsers/__pycache__/c_parser.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-pyzo.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/pyzo/codeeditor/extensions/__pycache__/appearance.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python-pyzo.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
python-pyzo.src: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
2 packages and 0 specfiles checked; 198 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-pyzo.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
python3-pyzo.noarch: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
python3-pyzo.noarch: W: obsolete-not-provided python3-iep
python3-pyzo.noarch: W: obsolete-not-provided python3-pyzolib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
python3-pyzo (rpmlib, GLIBC filtered):
    /usr/bin/python3
    desktop-file-utils
    font(dejavusansmono)
    font(sourcecodepro)
    python(abi)
    python3-PyQt4



Provides
--------
python3-pyzo:
    appdata()
    appdata(pyzo.appdata.xml)
    application()
    application(pyzo.desktop)
    mimehandler(text/x-python)
    python3-pyzo
    python3.6dist(pyzo)
    python3dist(pyzo)



Source checksums
----------------
https://github.com/pyzo/pyzo/archive/v4.3.1/pyzo-4.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 6fd525db36cf56bbb6d72cfbb5fd17059aace0f9922546727e6c00841b4c22ef
  CHECKSUM(SHA256) upstream package : 6fd525db36cf56bbb6d72cfbb5fd17059aace0f9922546727e6c00841b4c22ef


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1408552
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Note You need to log in before you can comment on or make changes to this bug.